#!/usr/bin/env ruby

require 'browshot'

browshot = Browshot.new('my_api_key')


screenshot = browshot.screenshot_create('http://mobilio.net/', { 'instance_id' => 12 })
sleep(60)

# Delete the screenshto URL
browshot.screenshot_delete(screenshot['id'], { 'data' => 'url' })

info = browshot.screenshot_info(screenshot['id'])
if (! info.key?('url') || info['url'] == '')
  puts "URL has been deleted for screenshot ##{screenshot['id']}\n"
end

# Delete the image
browshot.screenshot_delete(screenshot['id'], { 'data' => 'image' })
image = browshot.screenshot_thumbnail(screenshot['id'])
if (image.length == 0)
  puts "Screenshot for ##{screenshot['id']} has been deleted\n"
end

# Delete everything
browshot.screenshot_delete(screenshot['id'], { 'data' => 'all' })
